Bug 1128387 - Please update Firehol to version 2
Summary: Please update Firehol to version 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firehol
Version: rawhide
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 22:42 UTC by Maarten Bremer
Modified: 2014-08-19 06:32 UTC (History)
1 user (show)

Fixed In Version: firehol-2.0.0-0.1.rc1.fc22 firehol-2.0.0-0.1.rc1.fc21 firehol-2.0.0-0.1.rc1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-19 06:32:08 UTC


Attachments (Terms of Use)

Description Maarten Bremer 2014-08-09 22:42:59 UTC
After being abandoned for a couple of years, Firehol version 2.0.0 rc1 has been released which includes IPv6 support and QOS.

http://firehol.org/news/
http://firehol.org/download/latest/ChangeLog.txt
http://firehol.org/download/releases/

This new version includes the changes from Phil Whineray who wrote the Firehol fork Sanewall, which is discussed in https://bugzilla.redhat.com/show_bug.cgi?id=960645. I suggest closing 960645 and upgrading the RPM's to include version 2.

Comment 1 Christopher Meng 2014-08-10 02:07:46 UTC
I will contact Phil about the status, as in the last year the we(me and Susi) discussed and determined to use sanewall to replace firehol.

Now it seems that these 2 are merged back on firehol, and sanewall is no longer being developed.

Comment 2 Christopher Meng 2014-08-11 09:24:51 UTC
Done.

I'm not sure if it's OK to push it to f20 as it may violate the updates policy. But if you have f21 machine or even rawhide, tests are welcome, especially the systemd part, meanwhile I will work with upstream to port it to nftables if I have time.

Comment 3 Maarten Bremer 2014-08-16 21:11:13 UTC
I installed firehol-2.0.0-0.1.rc1.fc21 successfully on Fedora 20 and it works, and I installed firehol-2.0.0-0.1.rc1.el7 on CentOS 7 without any issues as well.

I do not have any f21 / rawhide running unfortunately. 

Thanks a lot for your fast work!


Note You need to log in before you can comment on or make changes to this bug.